Index: x11/modular-xorg-server/Makefile
===================================================================
RCS file: /NetBSD/pkgsrc/x11/modular-xorg-server/Makefile,v
retrieving revision 1.41
diff -u -p x11/modular-xorg-server/Makefile
--- x11/modular-xorg-server/Makefile	26 Mar 2009 20:02:45 -0000	1.41
+++ x11/modular-xorg-server/Makefile	20 May 2009 10:26:35 -0000
@@ -1,17 +1,12 @@
 # $NetBSD: Makefile,v 1.41 2009/03/26 20:02:45 drochner Exp $
 #
 
-DISTNAME=	xorg-server-1.4.2
+DISTNAME=	xorg-server-1.6.1.901
 PKGNAME=	modular-${DISTNAME}
-PKGREVISION=	6
 CATEGORIES=	x11
 MASTER_SITES=	${MASTER_SITE_XORG:=xserver/}
 EXTRACT_SUFX=	.tar.bz2
 
-PATCHFILES=	xorg-server-1.4.2-20080917.patch.gz
-PATCHFILES+=	${XSERVER_DRI_PATCHFILES}
-PATCH_SITES=	${MASTER_SITE_LOCAL:=xorg-server-patchfiles/}
-
 MAINTAINER=	bjs@NetBSD.org
 HOMEPAGE=	http://xorg.freedesktop.org/
 COMMENT=	Modular X11 server from modular X.org
@@ -79,25 +74,27 @@ INSTALLATION_DIRS+=	lib/xorg/modules/drivers lib/xorg/
 BUILDLINK_API_DEPENDS.compositeproto+=	compositeproto>=0.4
 BUILDLINK_API_DEPENDS.fixesproto+=	fixesproto>=4.0
 BUILDLINK_API_DEPENDS.glproto+=		glproto>=1.4.9
-BUILDLINK_API_DEPENDS.inputproto+=	inputproto>=1.4.4
+BUILDLINK_API_DEPENDS.inputproto+=	inputproto>=1.5
 BUILDLINK_API_DEPENDS.kbproto+=		kbproto>=1.0.3
-BUILDLINK_API_DEPENDS.randrproto+=	randrproto>=1.2.1
+BUILDLINK_API_DEPENDS.randrproto+=	randrproto>=1.2.99.1
 BUILDLINK_API_DEPENDS.renderproto+=	renderproto>=0.9.3
 BUILDLINK_API_DEPENDS.xf86dgaproto+=	xf86dgaproto>=2.0.3
 BUILDLINK_API_DEPENDS.xf86driproto+=	xf86driproto>=2.0.4
 
-post-extract: dri-post-extract
-	${CP} ${FILESDIR}/modeline2c.awk ${WRKSRC}/hw/xfree86/common
-	${RM} -f ${WRKSRC}/Mesa-${MESA_VERSION}/docs/README.MINGW32.orig
-
 .include "options.mk"
 
+USE_BUILTIN.openssl=	NO
+
 .include "../../devel/ncurses/buildlink3.mk"
 .include "../../devel/zlib/buildlink3.mk"
 .include "../../fonts/libfontenc/buildlink3.mk"
+.include "../../graphics/MesaLib/buildlink3.mk"
+.include "../../security/openssl/buildlink3.mk"
+.include "../../sysutils/libpciaccess/buildlink3.mk"
 .include "../../x11/bigreqsproto/buildlink3.mk"
 .include "../../x11/compositeproto/buildlink3.mk"
 .include "../../x11/damageproto/buildlink3.mk"
+.include "../../x11/dri2proto/buildlink3.mk"
 .include "../../x11/evieext/buildlink3.mk"
 .include "../../x11/fixesproto/buildlink3.mk"
 .include "../../x11/fontsproto/buildlink3.mk"
@@ -109,6 +106,7 @@ post-extract: dri-post-extract
 .include "../../x11/libXext/buildlink3.mk"
 .include "../../x11/libXfixes/buildlink3.mk"
 .include "../../x11/libXfont/buildlink3.mk"
+.include "../../x11/libXinerama/buildlink3.mk"
 .include "../../x11/libXt/buildlink3.mk"
 .include "../../x11/libXxf86misc/buildlink3.mk"
 .include "../../x11/libXxf86vm/buildlink3.mk"
Index: x11/modular-xorg-server/PLIST
===================================================================
RCS file: /NetBSD/pkgsrc/x11/modular-xorg-server/PLIST,v
retrieving revision 1.10
diff -u -p x11/modular-xorg-server/PLIST
--- x11/modular-xorg-server/PLIST	28 Oct 2008 05:08:52 -0000	1.10
+++ x11/modular-xorg-server/PLIST	20 May 2009 10:26:35 -0000
@@ -5,34 +5,14 @@ bin/Xorg
 bin/Xvfb
 bin/cvt
 bin/gtf
-bin/inb
-bin/inl
-bin/inw
-bin/ioport
-bin/outb
-bin/outl
-bin/outw
-bin/pcitweak
-bin/scanpci
-bin/xorgconfig
 include/xorg/BT.h
 include/xorg/IBM.h
 include/xorg/TI.h
 include/xorg/XIstubs.h
-include/xorg/afb.h
-include/xorg/assyntax.h
-include/xorg/atKeynames.h
 include/xorg/bstore.h
 include/xorg/bstorestr.h
 include/xorg/bt829.h
-include/xorg/cfb.h
-include/xorg/cfb16.h
-include/xorg/cfb32.h
 include/xorg/cfb8_16.h
-include/xorg/cfb8_32.h
-include/xorg/cfbmap.h
-include/xorg/cfbmskbits.h
-include/xorg/cfbunmap.h
 include/xorg/closestr.h
 include/xorg/closure.h
 include/xorg/colormap.h
@@ -45,12 +25,14 @@ include/xorg/damagestr.h
 include/xorg/dbestruct.h
 include/xorg/dgaproc.h
 include/xorg/dix.h
+include/xorg/dixaccess.h
 include/xorg/dixevents.h
 include/xorg/dixfont.h
 include/xorg/dixfontstr.h
 include/xorg/dixgrabs.h
 include/xorg/dixstruct.h
 include/xorg/dri.h
+include/xorg/dri2.h
 include/xorg/dristruct.h
 include/xorg/edid.h
 include/xorg/exa.h
@@ -61,21 +43,19 @@ include/xorg/extnsionst.h
 include/xorg/fb.h
 include/xorg/fbdevhw.h
 include/xorg/fboverlay.h
-include/xorg/fbpseudocolor.h
 include/xorg/fbrop.h
 include/xorg/fi1236.h
 include/xorg/fourcc.h
 include/xorg/gc.h
 include/xorg/gcstruct.h
+include/xorg/geext.h
+include/xorg/geint.h
 include/xorg/globals.h
 include/xorg/glyphstr.h
 include/xorg/hotplug.h
 include/xorg/i2c_def.h
 include/xorg/input.h
 include/xorg/inputstr.h
-include/xorg/mfb.h
-include/xorg/mfbmap.h
-include/xorg/mfbunmap.h
 include/xorg/mi.h
 include/xorg/mibank.h
 include/xorg/mibstore.h
@@ -101,14 +81,18 @@ include/xorg/picture.h
 include/xorg/picturestr.h
 include/xorg/pixmap.h
 include/xorg/pixmapstr.h
+include/xorg/privates.h
 include/xorg/property.h
 include/xorg/propertyst.h
+include/xorg/ptrveloc.h
 include/xorg/randrstr.h
 include/xorg/region.h
 include/xorg/regionstr.h
+include/xorg/registry.h
 include/xorg/renderedge.h
 include/xorg/resource.h
 include/xorg/rgb.h
+include/xorg/rrtransform.h
 include/xorg/sarea.h
 include/xorg/screenint.h
 include/xorg/scrnintstr.h
@@ -116,6 +100,7 @@ include/xorg/selection.h
 include/xorg/servermd.h
 include/xorg/shadow.h
 include/xorg/shadowfb.h
+include/xorg/shmint.h
 include/xorg/site.h
 include/xorg/swaprep.h
 include/xorg/swapreq.h
@@ -134,15 +119,12 @@ include/xorg/xaa.h
 include/xorg/xaaWrapper.h
 include/xorg/xaalocal.h
 include/xorg/xaarop.h
-include/xorg/xf1bpp.h
-include/xorg/xf4bpp.h
 include/xorg/xf86.h
 include/xorg/xf86Crtc.h
 include/xorg/xf86Cursor.h
 include/xorg/xf86DDC.h
 include/xorg/xf86Modes.h
 include/xorg/xf86Module.h
-include/xorg/xf86OSmouse.h
 include/xorg/xf86Opt.h
 include/xorg/xf86Optrec.h
 include/xorg/xf86Parser.h
@@ -155,12 +137,9 @@ include/xorg/xf86RamDac.h
 include/xorg/xf86RandR12.h
 include/xorg/xf86Rename.h
 include/xorg/xf86Resources.h
-include/xorg/xf86Version.h
 include/xorg/xf86Xinput.h
 include/xorg/xf86_OSlib.h
 include/xorg/xf86_OSproc.h
-include/xorg/xf86_ansic.h
-include/xorg/xf86_libc.h
 include/xorg/xf86cmap.h
 include/xorg/xf86fbman.h
 include/xorg/xf86i2c.h
@@ -171,42 +150,32 @@ include/xorg/xf86xv.h
 include/xorg/xf86xvmc.h
 include/xorg/xf86xvpriv.h
 include/xorg/xisb.h
+include/xorg/xkbfile.h
+include/xorg/xkbrules.h
 include/xorg/xkbsrv.h
+include/xorg/xkbstr.h
 include/xorg/xorg-server.h
 include/xorg/xorgVersion.h
+include/xorg/xserver-properties.h
 include/xorg/xvdix.h
 include/xorg/xvmcext.h
-lib/X11/Cards
 lib/X11/Options
 lib/pkgconfig/xorg-server.pc
-${PLIST.dri}lib/xorg/modules/extensions/libGLcore.la
 lib/xorg/modules/extensions/libdbe.la
 lib/xorg/modules/extensions/libdri.la
+lib/xorg/modules/extensions/libdri2.la
 lib/xorg/modules/extensions/libextmod.la
 ${PLIST.dri}lib/xorg/modules/extensions/libglx.la
-lib/xorg/modules/extensions/librecord.la
-lib/xorg/modules/extensions/libxtrap.la
-lib/xorg/modules/fonts/libfreetype.la
-lib/xorg/modules/fonts/libtype1.la
-lib/xorg/modules/libafb.la
-lib/xorg/modules/libcfb.la
-lib/xorg/modules/libcfb32.la
 lib/xorg/modules/libexa.la
 lib/xorg/modules/libfb.la
 lib/xorg/modules/libint10.la
-lib/xorg/modules/libmfb.la
-lib/xorg/modules/libpcidata.la
-lib/xorg/modules/libscanpci.la
 lib/xorg/modules/libshadow.la
 lib/xorg/modules/libshadowfb.la
 lib/xorg/modules/libvbe.la
 lib/xorg/modules/libvgahw.la
 lib/xorg/modules/libwfb.la
 lib/xorg/modules/libxaa.la
-lib/xorg/modules/libxf1bpp.la
-lib/xorg/modules/libxf4bpp.la
 lib/xorg/modules/libxf8_16bpp.la
-lib/xorg/modules/libxf8_32bpp.la
 lib/xorg/modules/linux/libfbdevhw.la
 lib/xorg/modules/multimedia/bt829_drv.la
 lib/xorg/modules/multimedia/fi1236_drv.la
@@ -215,27 +184,21 @@ lib/xorg/modules/multimedia/tda8425_drv.la
 lib/xorg/modules/multimedia/tda9850_drv.la
 lib/xorg/modules/multimedia/tda9885_drv.la
 lib/xorg/modules/multimedia/uda1380_drv.la
-lib/xserver/SecurityPolicy
+lib/xorg/protocol.txt
 man/man1/Xnest.1
 man/man1/Xorg.1
 man/man1/Xserver.1
 man/man1/Xvfb.1
 man/man1/cvt.1
 man/man1/gtf.1
-man/man1/pcitweak.1
-man/man1/scanpci.1
-man/man1/xorgconfig.1
 man/man4/exa.4
 man/man4/fbdevhw.4
-man/man5/SecurityPolicy.5
 man/man5/xorg.conf.5
 share/aclocal/xorg-server.m4
-@dirrm lib/xserver
 @dirrm lib/xorg/modules/multimedia
 @dirrm lib/xorg/modules/linux
 @exec ${MKDIR} %D/lib/xorg/modules/input
 @dirrm lib/xorg/modules/input
-@dirrm lib/xorg/modules/fonts
 @dirrm lib/xorg/modules/extensions
 @exec ${MKDIR} %D/lib/xorg/modules/drivers
 @dirrm lib/xorg/modules/drivers
Index: x11/modular-xorg-server/buildlink3.mk
===================================================================
RCS file: /NetBSD/pkgsrc/x11/modular-xorg-server/buildlink3.mk,v
retrieving revision 1.6
diff -u -p x11/modular-xorg-server/buildlink3.mk
--- x11/modular-xorg-server/buildlink3.mk	20 Mar 2009 19:25:47 -0000	1.6
+++ x11/modular-xorg-server/buildlink3.mk	20 May 2009 10:26:35 -0000
@@ -5,9 +5,10 @@ BUILDLINK_TREE+=	modular-xorg-server
 .if !defined(MODULAR_XORG_SERVER_BUILDLINK3_MK)
 MODULAR_XORG_SERVER_BUILDLINK3_MK:=
 
-BUILDLINK_API_DEPENDS.modular-xorg-server+=	modular-xorg-server>=1.4.2
+BUILDLINK_API_DEPENDS.modular-xorg-server+=	modular-xorg-server>=1.6.0
 BUILDLINK_PKGSRCDIR.modular-xorg-server?=	../../x11/modular-xorg-server
 
+.include "../../sysutils/libpciaccess/buildlink3.mk"
 .include "../../x11/pixman/buildlink3.mk"
 
 .include "../../x11/compositeproto/buildlink3.mk"
Index: x11/modular-xorg-server/distinfo
===================================================================
RCS file: /NetBSD/pkgsrc/x11/modular-xorg-server/distinfo,v
retrieving revision 1.32
diff -u -p x11/modular-xorg-server/distinfo
--- x11/modular-xorg-server/distinfo	26 Mar 2009 20:02:45 -0000	1.32
+++ x11/modular-xorg-server/distinfo	20 May 2009 10:26:35 -0000
@@ -1,33 +1,17 @@
 $NetBSD: distinfo,v 1.32 2009/03/26 20:02:45 drochner Exp $
 
-SHA1 (Mesa-7.0.4-xorg-server_GL) = 6aed65e64c7a684a5d707334a4b4fe7711966380
-RMD160 (Mesa-7.0.4-xorg-server_GL) = 2028532d79f5bba1d09ae787a1799fc4b206a5d7
-Size (Mesa-7.0.4-xorg-server_GL) = 34729 bytes
-SHA1 (MesaLib-7.0.4.tar.bz2) = 7e2ecbe89d245510d2681d04e959aee6adc205c5
-RMD160 (MesaLib-7.0.4.tar.bz2) = 0394bb9e00ea13f2399bc5895d4264221bbc03ac
-Size (MesaLib-7.0.4.tar.bz2) = 3414357 bytes
-SHA1 (xorg-server-1.4.2-20080917.patch.gz) = e8fced0a6ada867d6bfdedda22a8bf178fa48977
-RMD160 (xorg-server-1.4.2-20080917.patch.gz) = 2463fa939dc9340e79c03356fa47310343d9e10c
-Size (xorg-server-1.4.2-20080917.patch.gz) = 28955 bytes
-SHA1 (xorg-server-1.4.2.tar.bz2) = 385348721ecb6da4bc51a2b7ee5784de6be0a8b6
-RMD160 (xorg-server-1.4.2.tar.bz2) = 6f12b28d7e4186dfbdec3c9116c65e6831ed2e54
-Size (xorg-server-1.4.2.tar.bz2) = 6216638 bytes
-SHA1 (patch-aa) = 05ded41f5d114b2d21bce2629999ea5758ae7e87
-SHA1 (patch-ab) = 20b62798fd6f4ea173f827a5e122cf95f4673983
-SHA1 (patch-ac) = 0e7d01cbdd692b75256318a0309551f6e5d2f5ec
-SHA1 (patch-ad) = 57f9b5413d0c48ac12343f9d75879a46bd334931
-SHA1 (patch-ae) = 814f46c830384292683b38261386d113897b66d1
+SHA1 (xorg-server-1.6.1.901.tar.bz2) = 0818a63225e9b2262d33099eb6630d15c07f04b6
+RMD160 (xorg-server-1.6.1.901.tar.bz2) = 32ee9b17d1a5562a3abf783598bd746d466c8c19
+Size (xorg-server-1.6.1.901.tar.bz2) = 4638946 bytes
+SHA1 (patch-ab) = c65457bf58b7504375b31512c743c9f1a5dcdde0
 SHA1 (patch-af) = 722d4679d3386c9a02e1c45a1aa355658ccc2908
-SHA1 (patch-ag) = b71dd3c33b244d766180d93a7bb90c5ef4ebe90b
-SHA1 (patch-ah) = b92699ae5913459799b8b870664786b3583e292d
-SHA1 (patch-ai) = 936edba9ac60e7dd461c2c1d54e1b89c6bf16027
+SHA1 (patch-ah) = 15d992f17495a3f1576194f0e84fe5d34e611498
 SHA1 (patch-aj) = 84ff5c6215d0b62734cf26e78394a70afe2b7007
 SHA1 (patch-ak) = df6d3b2172254e1f9d44eb40144cad5ed29a7d1d
 SHA1 (patch-al) = cb1fb44037f23fb2838ed36aaf2591946264fe53
-SHA1 (patch-am) = 609821a859d395a738bcd1389787f6938fcbd8c3
-SHA1 (patch-sa) = 5586e998e2239b6851291b5f79b2e6009c78b174
-SHA1 (patch-sb) = b769780b446e4f10bc99ccd3373d666daf44f863
-SHA1 (patch-sc) = 33c4d4731e3732032f84946fc17e28d0cba389a6
-SHA1 (patch-sd) = ac8f5bc3bca8c21e91d7206a5b2cb400c54f7414
+SHA1 (patch-ba) = 803f8df4e2ad2ebdfde9f7e17c3dd26fa11262ab
+SHA1 (patch-sa) = a22001b4146dcbcbd5405c9a1ff7b1632ec946b8
+SHA1 (patch-sb) = a9d624e2003a2d53a338d5b8f86adcf9b1fbced2
+SHA1 (patch-sc) = 85660424ed4a7b5dde8aae51fe3bac45fe3221dd
+SHA1 (patch-sd) = c0df35b683698146b70e7c11f3dabe468bd95f94
 SHA1 (patch-se) = 22b20c734b7fcf59d75227aeb1fa703465582568
-SHA1 (patch-xkb) = 4bd5f8d86cf3ad2f351cf8407221cf79812ed8e6
Index: x11/modular-xorg-server/options.mk
===================================================================
RCS file: /NetBSD/pkgsrc/x11/modular-xorg-server/options.mk,v
retrieving revision 1.5
diff -u -p x11/modular-xorg-server/options.mk
--- x11/modular-xorg-server/options.mk	29 Oct 2008 22:20:28 -0000	1.5
+++ x11/modular-xorg-server/options.mk	20 May 2009 10:26:35 -0000
@@ -9,38 +9,13 @@ PLIST_VARS+=		dri
 
 .if !empty(PKG_OPTIONS:Mdri)
 PLIST.dri=		yes
-.  include "../../graphics/Mesa/Makefile.version"
-.  include "../../graphics/MesaLib/glx-config.mk"
-
-DISTFILES=		${DEFAULT_DISTFILES}
-MESA_DISTFILE=		${MESA_DISTNAME}${EXTRACT_SUFX} # .tar.bz2
-DISTFILES+=		${MESA_DISTFILE}
-SITES.${MESA_DISTFILE}= ${MESA_SITES}
-MESA_SRC=		${WRKDIR}/Mesa-${MESA_VERSION}
-XSERVER_DRI_PATCHFILES=		Mesa-7.0.4-xorg-server_GL
-###
-### XXX Is there a better way to do this?  For now, when updating these
-###	patches (don't forget about Mesa updates!), please ensure that
-###	the relative path in the patch matches "Mesa-${MESA_VERSION}".
-###
-_PKGSRC_PATCHES+=	${FILESDIR}/mesalib-patch-aq
-
 CONFIGURE_ARGS+=	--enable-glx
 CONFIGURE_ARGS+=	--enable-aiglx
-CONFIGURE_ARGS+=	--with-mesa-source=${MESA_SRC}
-dri-post-extract:
-	${LN} -s ${MESA_SRC:Q}/include/GL ${WRKSRC:Q}/GL/glx/GL
 .else
 ###
 ### XXX Perhaps we should allow for a built-in glx without dri enabled?
 ###
 CONFIGURE_ARGS+=	--disable-glx
-
-dri-post-extract:
-	@${DO_NADA}
-
-# for GLX we already have the Mesa source
-.  include "../../graphics/MesaLib/buildlink3.mk"
 .endif
 
 .if !empty(PKG_OPTIONS:Minet6)
Index: x11/modular-xorg-server/patches/patch-ab
===================================================================
RCS file: /NetBSD/pkgsrc/x11/modular-xorg-server/patches/patch-ab,v
retrieving revision 1.7
diff -u -p x11/modular-xorg-server/patches/patch-ab
--- x11/modular-xorg-server/patches/patch-ab	18 Sep 2008 20:56:01 -0000	1.7
+++ x11/modular-xorg-server/patches/patch-ab	20 May 2009 10:26:35 -0000
@@ -1,16 +1,15 @@
-$NetBSD: patch-ab,v 1.7 2008/09/18 20:56:01 bjs Exp $
+$NetBSD$
 
---- hw/xfree86/xorgconf.cpp.orig	2008-06-10 13:57:20.000000000 -0400
-+++ hw/xfree86/xorgconf.cpp
-@@ -608,3 +608,11 @@ Section "ServerLayout"
+--- hw/xfree86/xorgconf.cpp.orig	2009-05-19 13:58:11 +0300
++++ hw/xfree86/xorgconf.cpp	2009-05-19 14:08:12 +0300
+@@ -602,3 +602,10 @@ Section "ServerLayout"
      InputDevice "Keyboard1" "CoreKeyboard"
  EndSection
  
-+ 
 +XCOMM  Two experimental extensions are available -- Composite and XEVIE.  Uncomment
 +XCOMM  the section below to enable Composite.  Many extensions can also be disabled
 +XCOMM  in this manner.
 +
 +XCOMM Section "Extensions"
-+XCOMM 	Option "Composite" "Enable"
++XCOMM  Option "Composite" "Enable"
 +XCOMM EndSection
Index: x11/modular-xorg-server/patches/patch-ah
===================================================================
RCS file: /NetBSD/pkgsrc/x11/modular-xorg-server/patches/patch-ah,v
retrieving revision 1.2
diff -u -p x11/modular-xorg-server/patches/patch-ah
--- x11/modular-xorg-server/patches/patch-ah	18 Sep 2008 20:56:01 -0000	1.2
+++ x11/modular-xorg-server/patches/patch-ah	20 May 2009 10:26:35 -0000
@@ -1,22 +1,19 @@
-$NetBSD: patch-ah,v 1.2 2008/09/18 20:56:01 bjs Exp $
+$NetBSD$
 
-This patch provides a black background by default--a little
-nicer, no?
-
---- dix/window.c.orig	2008-06-10 13:57:18.000000000 -0400
-+++ dix/window.c
+--- dix/window.c.orig	2009-03-21 01:57:50 +0200
++++ dix/window.c	2009-05-19 14:35:57 +0300
 @@ -138,8 +138,12 @@ Equipment Corporation.
-  *
+  *    ChangeWindowDeviceCursor
   ******/
  
 -static unsigned char _back_lsb[4] = {0x88, 0x22, 0x44, 0x11};
 -static unsigned char _back_msb[4] = {0x11, 0x44, 0x22, 0x88};
 +/* TODO: Perhaps we should allow the user/system administrator
-+ * 	 to set this via environment variable or configuration
-+ *	 directive?
++ *	to set this via environment variable or configuration
++ *	directive?
 + */
 +static unsigned char _back_lsb[4] = {0x00, 0x00, 0x00, 0x00};
 +static unsigned char _back_msb[4] = {0x00, 0x00, 0x00, 0x00};
  
- _X_EXPORT int screenIsSaved = SCREEN_SAVER_OFF;
- 
+ static Bool WindowParentHasDeviceCursor(WindowPtr pWin, 
+                                         DeviceIntPtr pDev, 
Index: x11/modular-xorg-server/patches/patch-sa
===================================================================
RCS file: /NetBSD/pkgsrc/x11/modular-xorg-server/patches/patch-sa,v
retrieving revision 1.1
diff -u -p x11/modular-xorg-server/patches/patch-sa
--- x11/modular-xorg-server/patches/patch-sa	16 Aug 2007 20:10:16 -0000	1.1
+++ x11/modular-xorg-server/patches/patch-sa	20 May 2009 10:26:35 -0000
@@ -1,13 +1,13 @@
-$NetBSD: patch-sa,v 1.1 2007/08/16 20:10:16 joerg Exp $
+$NetBSD$
 
---- hw/xfree86/common/compiler.h.orig	2007-08-16 17:02:40.000000000 +0200
-+++ hw/xfree86/common/compiler.h
-@@ -566,7 +566,7 @@ inl(unsigned short port)
+--- hw/xfree86/common/compiler.h.orig	2009-05-19 14:25:30 +0300
++++ hw/xfree86/common/compiler.h	2009-05-19 14:26:04 +0300
+@@ -531,7 +531,7 @@ inl(unsigned short port)
     return ret;
  }
  
--#   elif (defined(linux) || defined(Lynx) || defined(sun) || defined(__OpenBSD__) || defined(__FreeBSD__)) && defined(__sparc__)
-+#   elif (defined(linux) || defined(Lynx) || defined(sun) || defined(__OpenBSD__) || defined(__FreeBSD__) || defined(__NetBSD__)) && defined(__sparc__)
+-#   elif (defined(linux) || defined(sun) || defined(__OpenBSD__) || defined(__FreeBSD__)) && defined(__sparc__)
++#   elif (defined(linux) || defined(sun) || defined(__OpenBSD__) || defined(__FreeBSD__) || defined(__NetBSD__)) && defined(__sparc__)
  
- #    if !defined(Lynx)
  #     ifndef ASI_PL
+ #      define ASI_PL 0x88
Index: x11/modular-xorg-server/patches/patch-sb
===================================================================
RCS file: /NetBSD/pkgsrc/x11/modular-xorg-server/patches/patch-sb,v
retrieving revision 1.1
diff -u -p x11/modular-xorg-server/patches/patch-sb
--- x11/modular-xorg-server/patches/patch-sb	16 Aug 2007 20:10:16 -0000	1.1
+++ x11/modular-xorg-server/patches/patch-sb	20 May 2009 10:26:35 -0000
@@ -1,15 +1,13 @@
-$NetBSD: patch-sb,v 1.1 2007/08/16 20:10:16 joerg Exp $
+$NetBSD$
 
-Temporary disable Sbus suport.
-
---- hw/xfree86/common/xf86Configure.c.orig	2007-08-16 20:03:27.000000000 +0200
-+++ hw/xfree86/common/xf86Configure.c
-@@ -213,7 +213,7 @@ xf86AddBusDeviceToConfigure(const char *
- 	NewDevice.GDev.identifier = "ISA Adapter";
- 	NewDevice.GDev.busID = "ISA";
+--- hw/xfree86/common/xf86Configure.c.orig	2009-03-21 01:57:50 +0200
++++ hw/xfree86/common/xf86Configure.c	2009-05-19 14:36:57 +0300
+@@ -115,7 +115,7 @@ xf86AddBusDeviceToConfigure(const char *
+ 		return NULL;
+ 	isPrimary = xf86IsPrimaryPci(pVideo);
  	break;
 -#if (defined(__sparc__) || defined(__sparc)) && !defined(__OpenBSD__)
 +#if (defined(__sparc__) || defined(__sparc)) && !defined(__OpenBSD__) && !defined(__NetBSD__)
-     case BUS_SBUS: {
- 	char *promPath = NULL;
- 	NewDevice.sVideo = (sbusDevicePtr) busData;
+     case BUS_SBUS:
+ 	for (i = 0;  i < nDevToConfig;  i++)
+ 	    if (DevToConfig[i].sVideo &&
Index: x11/modular-xorg-server/patches/patch-sc
===================================================================
RCS file: /NetBSD/pkgsrc/x11/modular-xorg-server/patches/patch-sc,v
retrieving revision 1.1
diff -u -p x11/modular-xorg-server/patches/patch-sc
--- x11/modular-xorg-server/patches/patch-sc	16 Aug 2007 20:10:16 -0000	1.1
+++ x11/modular-xorg-server/patches/patch-sc	20 May 2009 10:26:35 -0000
@@ -1,12 +1,10 @@
-$NetBSD: patch-sc,v 1.1 2007/08/16 20:10:16 joerg Exp $
+$NetBSD$
 
-Temporary disable Sbus suport.
-
---- hw/xfree86/loader/xf86sym.c.orig	2007-08-16 20:07:02.000000000 +0200
-+++ hw/xfree86/loader/xf86sym.c
-@@ -510,7 +510,7 @@ _X_HIDDEN void *xfree86LookupTab[] = {
-     SYMFUNC(xf86AddModuleInfo)
-     SYMFUNC(xf86DeleteModuleInfo)
+--- hw/xfree86/loader/xf86sym.c.orig	2009-03-21 01:57:50 +0200
++++ hw/xfree86/loader/xf86sym.c	2009-05-19 14:38:30 +0300
+@@ -451,7 +451,7 @@ _X_HIDDEN void *xfree86LookupTab[] = {
+     SYMFUNC(xf86RegisterRootWindowProperty)
+     SYMFUNC(xf86IsUnblank)
  
 -#if (defined(__sparc__) || defined(__sparc)) && !defined(__OpenBSD__)
 +#if (defined(__sparc__) || defined(__sparc)) && !defined(__OpenBSD__) && !defined(__NetBSD__)
Index: x11/modular-xorg-server/patches/patch-sd
===================================================================
RCS file: /NetBSD/pkgsrc/x11/modular-xorg-server/patches/patch-sd,v
retrieving revision 1.1
diff -u -p x11/modular-xorg-server/patches/patch-sd
--- x11/modular-xorg-server/patches/patch-sd	16 Aug 2007 20:10:17 -0000	1.1
+++ x11/modular-xorg-server/patches/patch-sd	20 May 2009 10:26:35 -0000
@@ -1,10 +1,8 @@
-$NetBSD: patch-sd,v 1.1 2007/08/16 20:10:17 joerg Exp $
+$NetBSD$
 
-Temporary disable Sbus suport.
-
---- hw/xfree86/common/xf86Bus.c.orig	2007-08-16 20:10:40.000000000 +0200
-+++ hw/xfree86/common/xf86Bus.c
-@@ -113,7 +113,7 @@ void
+--- hw/xfree86/common/xf86Bus.c.orig	2009-03-21 01:57:50 +0200
++++ hw/xfree86/common/xf86Bus.c	2009-05-19 14:30:07 +0300
+@@ -104,7 +104,7 @@ void
  xf86BusProbe(void)
  {
      xf86PciProbe();
@@ -13,10 +11,10 @@ Temporary disable Sbus suport.
      xf86SbusProbe();
  #endif
  }
-@@ -2373,7 +2373,7 @@ xf86PostProbe(void)
+@@ -1829,7 +1829,7 @@ xf86PostProbe(void)
  
      if (fbSlotClaimed) {
-         if (pciSlotClaimed || isaSlotClaimed 
+         if (pciSlotClaimed
 -#if (defined(__sparc__) || defined(__sparc)) && !defined(__OpenBSD__)
 +#if (defined(__sparc__) || defined(__sparc)) && !defined(__OpenBSD__) && !defined(__NetBSD__)
  	    || sbusSlotClaimed
--- x11/modular-xorg-server/files/mesalib-patch-aq	2009-05-20 13:04:45 +0300
+++ /dev/null	2009-05-20 12:59:56 +0300
@@ -1,23 +0,0 @@
-$NetBSD: mesalib-patch-aq,v 1.1 2008/09/18 20:56:01 bjs Exp $
-
---- ../Mesa-7.0.4/src/mesa/main/imports.h.orig	2008-03-19 19:25:18.000000000 -0400
-+++ ../Mesa-7.0.4/src/mesa/main/imports.h
-@@ -292,7 +292,7 @@ static INLINE int GET_FLOAT_BITS( float 
-  *** LDEXPF: multiply value by an integral power of two
-  *** FREXPF: extract mantissa and exponent from value
-  ***/
--#if defined(__gnu_linux__)
-+#if defined(USE_NATIVE_LIBM_FUNCS)
- /* C99 functions */
- #define CEILF(x)   ceilf(x)
- #define FLOORF(x)  floorf(x)
-@@ -515,7 +515,9 @@ static INLINE int iceil(float f)
- /* Hardware default: All exceptions masked, extended double precision,
-  * round to nearest (IEEE compliant):
-  */
-+#ifndef DEFAULT_X86_FPU
- #define DEFAULT_X86_FPU		0x037f
-+#endif
- /* All exceptions masked, single precision, round to nearest:
-  */
- #define FAST_X86_FPU		0x003f
--- x11/modular-xorg-server/files/modeline2c.awk	2009-05-20 13:04:45 +0300
+++ /dev/null	2009-05-20 12:59:56 +0300
@@ -1,97 +0,0 @@
-#!/usr/bin/awk -f
-#
-# Copyright (c) 2007 Joerg Sonnenberger <joerg@NetBSD.org>.
-# All rights reserved.
-#
-# Based on Perl script by Dirk Hohndel.
-#
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions
-# are met:
-#
-# 1. Redistributions of source code must retain the above copyright
-#    notice, this list of conditions and the following disclaimer.
-# 2. Redistributions in binary form must reproduce the above copyright
-#    notice, this list of conditions and the following disclaimer in
-#    the documentation and/or other materials provided with the
-#    distribution.
-#
-# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
-# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
-# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
-# FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
-# COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
-# INCIDENTAL, SPECIAL, EXEMPLARY OR CONSEQUENTIAL DAMAGES (INCLUDING,
-# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
-# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
-# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
-# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
-# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
-# SUCH DAMAGE.
-#
-# Usage: modeline2c.awk < modefile > xf86DefModes.c
-#
-
-BEGIN {
-	flagsdict[""] = "0"
-
-	flagsdict["+hsync +vsync"] = "V_PHSYNC | V_PVSYNC"
-	flagsdict["+hsync -vsync"] = "V_PHSYNC | V_NVSYNC"
-	flagsdict["-hsync +vsync"] = "V_NHSYNC | V_PVSYNC"
-	flagsdict["-hsync -vsync"] = "V_NHSYNC | V_NVSYNC"
-	flagsdict["+hsync +vsync interlace"] = "V_PHSYNC | V_PVSYNC | V_INTERLACE"
-	flagsdict["+hsync -vsync interlace"] = "V_PHSYNC | V_NVSYNC | V_INTERLACE"
-	flagsdict["-hsync +vsync interlace"] = "V_NHSYNC | V_PVSYNC | V_INTERLACE"
-	flagsdict["-hsync -vsync interlace"] = "V_NHSYNC | V_NVSYNC | V_INTERLACE"
-
-	print "/* $" "XFree86$ */"
-	print
-	print "/* THIS FILE IS AUTOMATICALLY GENERATED -- DO NOT EDIT -- LOOK at"
-	print " * modeline2c.awk */"
-	print ""
-	print "/*"
-	print " * Author: Joerg Sonnenberger <joerg@NetBSD.org>"
-	print " * Based on Perl script from Dirk Hohndel <hohndel@XFree86.Org>"
-	print " */"
-	print ""
-	print "#ifdef HAVE_XORG_CONFIG_H"
-	print "#include <xorg-config.h>"
-	print "#endif"
-	print ""
-	print "#ifdef __UNIXOS2__"
-	print "#define I_NEED_OS2_H"
-	print "#endif"
-	print "#include \"xf86.h\""
-	print "#include \"xf86Config.h\""
-	print "#include \"xf86Priv.h\""
-	print "#include \"xf86_OSlib.h\""
-	print ""
-	print "#include \"globals.h\""
-	print ""
-	print "#define MODEPREFIX(name) NULL, NULL, name, MODE_OK, M_T_DEFAULT"
-	print "#define MODESUFFIX       0,0, 0,0,0,0,0,0,0, 0,0,0,0,0,0,FALSE,FALSE,0,NULL,0,0.0,0.0"
-	print ""
-	print "DisplayModeRec xf86DefaultModes [] = {"
-
-	modeline = "\t{MODEPREFIX(\"%dx%d\"),%d, %d,%d,%d,%d,0, %d,%d,%d,%d,0, %s, MODESUFFIX},\n"
-	modeline_data = "^[a-zA-Z]+[ \t]+[^ \t]+[ \t0-9.]+"
-}
-
-/^[mM][oO][dD][eE][lL][iI][nN][eE]/ {
-	flags = $0
-	gsub(modeline_data, "", flags)
-	flags = tolower(flags)
-	printf(modeline, $4, $8, $3 * 1000, $4, $5, $6, $7,
-	       $8, $9, $10, $11, flagsdict[flags])
-	# Half-width double scanned modes
-	printf(modeline, $4/2, $8/2, $3 * 500, $4/2, $5/2, $6/2, $7/2,
-	       $8/2, $9/2, $10/2, $11/2, flagsdict[flags] " | V_DBLSCAN")
-}
-
-/^#/ {
-	print "/*" substr($0, 2) " */"
-}
-
-END {
-	printf("\t{MODEPREFIX(NULL),0,0,0,0,0,0,0,0,0,0,0,0,MODESUFFIX}\n};\n")
-}
--- x11/modular-xorg-server/patches/patch-aa	2009-05-20 13:04:45 +0300
+++ /dev/null	2009-05-20 12:59:56 +0300
@@ -1,33 +0,0 @@
-$NetBSD: patch-aa,v 1.4 2008/09/18 20:56:01 bjs Exp $
-
-On Friday 04 July 2008, Joerg Sonnenberger wrote:
-> On Thu, Jul 03, 2008 at 07:52:31PM -0600, Sverre Froyen wrote:
-> > I've tracked the jumping cursor issue down to the function
-> > acceleratePointer in dix/getevents.c.
->
-> All this issues in the past happened because some very smart guys
-> decided to do random broken things from signal context. Which is why
-> this is extremely hard to trace down.
-
-I still see the jumps in 1.4.2.  Perhaps my workaround (attached) could be 
-included until a proper fix is developed?
-
---- dix/getevents.c.orig	2008-06-29 00:23:13.000000000 -0400
-+++ dix/getevents.c
-@@ -613,9 +613,15 @@ GetPointerEvents(xEvent *events, DeviceI
-         clipAxis(pDev, 1, &y);
-     }
-     else {
--        if (flags & POINTER_ACCELERATE)
-+        if (flags & POINTER_ACCELERATE) {
-+            int x_in;
-+            if (num_valuators >= 1)
-+                x_in = valuators[0];
-             acceleratePointer(pDev, first_valuator, num_valuators,
-                               valuators);
-+            if (num_valuators >= 1 && valuators[0] < -3000)
-+                valuators[0] = x_in;
-+        }
- 
-         if (pDev->coreEvents) {
-             /* Get and convert the core pointer coordinate space into
--- x11/modular-xorg-server/patches/patch-ac	2009-05-20 13:04:45 +0300
+++ /dev/null	2009-05-20 12:59:56 +0300
@@ -1,15 +0,0 @@
-$NetBSD: patch-ac,v 1.4 2008/09/18 20:56:01 bjs Exp $
-
---- hw/xfree86/common/Makefile.am.orig	2008-08-02 04:52:04.000000000 -0400
-+++ hw/xfree86/common/Makefile.am
-@@ -23,8 +23,8 @@ BUSSOURCES = xf86isaBus.c xf86pciBus.c x
- 
- MODEDEFSOURCES = $(srcdir)/vesamodes $(srcdir)/extramodes
- 
--xf86DefModeSet.c: $(srcdir)/modeline2c.pl $(MODEDEFSOURCES)
--	cat $(MODEDEFSOURCES) | $(PERL) $(srcdir)/modeline2c.pl > $@
-+xf86DefModeSet.c: $(srcdir)/modeline2c.awk $(MODEDEFSOURCES)
-+	cat $(MODEDEFSOURCES) | $(AWK) -f $(srcdir)/modeline2c.awk > $@
- 
- BUILT_SOURCES = xf86DefModeSet.c
- 
--- x11/modular-xorg-server/patches/patch-ad	2009-05-20 13:04:45 +0300
+++ /dev/null	2009-05-20 12:59:56 +0300
@@ -1,15 +0,0 @@
-$NetBSD: patch-ad,v 1.3 2008/09/18 20:56:01 bjs Exp $
-
---- hw/xfree86/common/Makefile.in.orig	2008-06-11 10:31:17.000000000 -0400
-+++ hw/xfree86/common/Makefile.in
-@@ -810,8 +810,8 @@ uninstall-am: uninstall-sdkHEADERS
- 	tags uninstall uninstall-am uninstall-sdkHEADERS
- 
- 
--xf86DefModeSet.c: $(srcdir)/modeline2c.pl $(MODEDEFSOURCES)
--	cat $(MODEDEFSOURCES) | $(PERL) $(srcdir)/modeline2c.pl > $@
-+xf86DefModeSet.c: $(srcdir)/modeline2c.awk $(MODEDEFSOURCES)
-+	cat $(MODEDEFSOURCES) | $(AWK) -f $(srcdir)/modeline2c.awk > $@
- # Tell versions [3.59,3.63) of GNU make to not export all variables.
- # Otherwise a system limit (for SysV at least) may be exceeded.
- .NOEXPORT:
--- x11/modular-xorg-server/patches/patch-ae	2009-05-20 13:04:45 +0300
+++ /dev/null	2009-05-20 12:59:56 +0300
@@ -1,21 +0,0 @@
-$NetBSD: patch-ae,v 1.7 2008/09/23 11:23:56 joerg Exp $
-
---- hw/xfree86/modes/Makefile.in.orig	2008-09-23 13:06:26.000000000 +0200
-+++ hw/xfree86/modes/Makefile.in
-@@ -56,7 +56,7 @@ ARFLAGS = cru
- libxf86modes_a_AR = $(AR) $(ARFLAGS)
- libxf86modes_a_LIBADD =
- am_libxf86modes_a_OBJECTS = xf86Crtc.$(OBJEXT) xf86Cursors.$(OBJEXT) \
--	xf86cvt.$(OBJEXT) xf86DiDGA.$(OBJEXT) xf86EdidModes.$(OBJEXT) \
-+	xf86cvt.$(OBJEXT) xf86gtf.${OBJEXT} xf86DiDGA.$(OBJEXT) xf86EdidModes.$(OBJEXT) \
- 	xf86Modes.$(OBJEXT) xf86RandR12.$(OBJEXT) xf86Rotate.$(OBJEXT)
- libxf86modes_a_OBJECTS = $(am_libxf86modes_a_OBJECTS)
- DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/include
-@@ -379,6 +379,7 @@ libxf86modes_a_SOURCES = \
- 	xf86Crtc.h \
- 	xf86Cursors.c \
- 	xf86cvt.c \
-+	xf86gtf.c \
- 	xf86DiDGA.c \
- 	xf86EdidModes.c \
- 	xf86Modes.c \
--- x11/modular-xorg-server/patches/patch-ag	2009-05-20 13:04:45 +0300
+++ /dev/null	2009-05-20 12:59:56 +0300
@@ -1,127 +0,0 @@
-$NetBSD: patch-ag,v 1.5 2009/03/14 11:00:21 apb Exp $
-
-Changes from NetBSD xsrc/external/mit/xorg-server/dist/\
-hw/xfree86/os-support/bsd/bsd_mouse.c
-
-----------------------------
-revision 1.5
-date: 2009/02/09 09:49:39;  author: plunky;  state: Exp;  lines: +16 -0
-add horizontal mouse-wheel functionality to USB and WSMOUSE drivers
-----------------------------
-revision 1.4
-date: 2009/02/02 03:06:37;  author: christos;  state: Exp;  lines: +7 -11
-add a SetupMouse proc to condition the fd. Convert NetBSD's SetupAuto to
-SetupMouse.
-----------------------------
-revision 1.3
-date: 2009/01/19 00:54:29;  author: christos;  state: Exp;  lines: +2 -1
-fix ioctl.
-----------------------------
-revision 1.2
-date: 2009/01/13 18:43:46;  author: christos;  state: Exp;  lines: +25 -0
-Set the mouse event protocol version. (untested, but head will be broken
-unless I add this).
-----------------------------
-
---- hw/xfree86/os-support/bsd/bsd_mouse.c.orig	2009-03-12 19:22:51.000000000 +0200
-+++ hw/xfree86/os-support/bsd/bsd_mouse.c
-@@ -55,12 +55,15 @@
- 
- #define HUP_GENERIC_DESKTOP     0x0001
- #define HUP_BUTTON              0x0009
-+#define HUP_CONSUMER		0x000c
- 
- #define HUG_X                   0x0030
- #define HUG_Y                   0x0031
- #define HUG_Z                   0x0032
- #define HUG_WHEEL               0x0038
- 
-+#define HUC_AC_PAN		0x0238
-+
- #define HID_USAGE2(p,u) (((p) << 16) | u)
- 
- /* The UMS mices have middle button as number 3 */
-@@ -340,6 +343,25 @@
- }
- #endif
- 
-+#if defined(__NetBSD__)
-+
-+static Bool
-+SetupMouse(InputInfoPtr pInfo)
-+{
-+#ifdef WSCONS_SUPPORT
-+#ifdef WSMOUSEIO_SETVERSION
-+	int version = WSMOUSE_EVENT_VERSION;
-+	if (ioctl(pInfo->fd, WSMOUSEIO_SETVERSION, &version) == -1) {
-+	    xf86Msg(X_WARNING, "%s: cannot set version\n", pInfo->name);
-+	    return FALSE;
-+	}
-+#endif
-+#endif
-+	return TRUE;
-+}
-+
-+#endif
-+
- #if defined(__OpenBSD__) && defined(WSCONS_SUPPORT)
- 
- /* Only support wsmouse configuration for now */
-@@ -430,6 +452,11 @@
- 	    dz = event->value;
- 	    break;
- #endif
-+#ifdef WSCONS_EVENT_MOUSE_DELTA_W
-+	case WSCONS_EVENT_MOUSE_DELTA_W:
-+	    dw = event->value;
-+	    break;
-+#endif
- 	default:
- 	    xf86Msg(X_WARNING, "%s: bad wsmouse event type=%d\n", pInfo->name,
- 		    event->type);
-@@ -491,6 +518,7 @@
-     hid_item_t loc_x;		/* x locator item */
-     hid_item_t loc_y;		/* y locator item */
-     hid_item_t loc_z;		/* z (wheel) locator item */
-+    hid_item_t loc_w;		/* w (pan) locator item */
-     hid_item_t loc_btn[MSE_MAXBUTTONS]; /* buttons locator items */
-    unsigned char *buffer;
- } UsbMseRec, *UsbMsePtr;
-@@ -610,6 +638,7 @@
-     dx = hid_get_data(pBuf, &pUsbMse->loc_x);
-     dy = hid_get_data(pBuf, &pUsbMse->loc_y);
-     dz = hid_get_data(pBuf, &pUsbMse->loc_z);
-+    dw = hid_get_data(pBuf, &pUsbMse->loc_w);
- 
-     buttons = 0;
-     for (n = 0; n < pMse->buttons; n++) {
-@@ -701,6 +730,9 @@
-     if (hid_locate(reportDesc, HID_USAGE2(HUP_GENERIC_DESKTOP, HUG_WHEEL),
- 		   hid_input, &pUsbMse->loc_z, pUsbMse->iid) < 0) {
-     }
-+    if (hid_locate(reportDesc, HID_USAGE2(HUP_CONSUMER, HUC_AC_PAN),
-+		   hid_input, &pUsbMse->loc_w, pUsbMse->iid) < 0) {
-+    }
- #else
-     if (hid_locate(reportDesc, HID_USAGE2(HUP_GENERIC_DESKTOP, HUG_X),
- 		   hid_input, &pUsbMse->loc_x) < 0) {
-@@ -713,6 +745,9 @@
-     if (hid_locate(reportDesc, HID_USAGE2(HUP_GENERIC_DESKTOP, HUG_WHEEL),
- 		   hid_input, &pUsbMse->loc_z) < 0) {
-     }
-+    if (hid_locate(reportDesc, HID_USAGE2(HUP_CONSUMER, HUC_AC_PAN),
-+		   hid_input, &pUsbMse->loc_w) < 0) {
-+    }
- #endif
-     /* Probe for number of buttons */
-     for (i = 1; i <= MSE_MAXBUTTONS; i++) {
-@@ -783,6 +818,9 @@
-     p->SetupAuto = SetupAuto;
-     p->SetMiscRes = SetMouseRes;
- #endif
-+#if defined(__NetBSD__)
-+    p->SetupMouse = SetupMouse;
-+#endif
- #if defined(__FreeBSD__) || defined(__FreeBSD_kernel__) || defined(__OpenBSD__) || defined(__DragonFly__)
-     p->FindDevice = FindDevice;
- #endif
--- x11/modular-xorg-server/patches/patch-ai	2009-05-20 13:04:45 +0300
+++ /dev/null	2009-05-20 12:59:56 +0300
@@ -1,39 +0,0 @@
-$NetBSD: patch-ai,v 1.3 2009/03/14 11:00:22 apb Exp $
-
-Changes from NetBSD xsrc/external/mit/xorg-server/dist/\
-hw/xfree86/os-support/xf86OSmouse.h
-
-----------------------------
-revision 1.2
-date: 2009/02/02 03:06:37;  author: christos;  state: Exp;  lines: +4 -0
-add a SetupMouse proc to condition the fd. Convert NetBSD's SetupAuto to
-SetupMouse.
-----------------------------
-
---- hw/xfree86/os-support/xf86OSmouse.h.orig	2008-06-06 12:03:10.000000000 +0200
-+++ hw/xfree86/os-support/xf86OSmouse.h
-@@ -82,6 +82,7 @@ typedef Bool (*BuiltinPreInitProc)(Input
- 				   int flags);
- typedef const char *(*DefaultProtocolProc)(void);
- typedef const char *(*SetupAutoProc)(InputInfoPtr pInfo, int *protoPara);
-+typedef Bool (*SetupMouseProc)(InputInfoPtr pInfo);
- typedef void (*SetResProc)(InputInfoPtr pInfo, const char* protocol, int rate,
- 			   int res);
- typedef const char *(*FindDeviceProc)(InputInfoPtr pInfo, const char *protocol,
-@@ -99,6 +100,7 @@ typedef struct {
- 	BuiltinPreInitProc	PreInit;
- 	DefaultProtocolProc	DefaultProtocol;
- 	SetupAutoProc		SetupAuto;
-+	SetupMouseProc		SetupMouse;
- 	SetResProc		SetPS2Res;
- 	SetResProc		SetBMRes;
- 	SetResProc		SetMiscRes;
-@@ -141,6 +143,8 @@ typedef struct {
-  *
-  * SetBMRes:	Set the resolution and sample rate for MSE_BM protocol types.
-  *
-+ * SetupMouse:	Called once after open to condition the file descriptor.
-+ *
-  * SetMiscRes:	Set the resolution and sample rate for MSE_MISC protocol types.
-  *
-  * FindDevice:	This function gets called when no Device has been specified
--- x11/modular-xorg-server/patches/patch-am	2009-05-20 13:04:46 +0300
+++ /dev/null	2009-05-20 12:59:56 +0300
@@ -1,92 +0,0 @@
-$NetBSD: patch-am,v 1.3 2009/03/26 20:02:45 drochner Exp $
-
---- Xext/sync.c.orig	2008-06-10 19:57:18.000000000 +0200
-+++ Xext/sync.c
-@@ -2533,7 +2533,7 @@ SyncInitServerTime(void)
-  * IDLETIME implementation
-  */
- 
--static pointer IdleTimeCounter;
-+static SyncCounter *IdleTimeCounter;
- static XSyncValue *pIdleTimeValueLess;
- static XSyncValue *pIdleTimeValueGreater;
- 
-@@ -2545,38 +2545,69 @@ IdleTimeQueryValue (pointer pCounter, CA
- }
- 
- static void
--IdleTimeBlockHandler (pointer env,
--                      struct timeval **wt,
--                      pointer LastSelectMask)
-+IdleTimeBlockHandler(pointer env, struct timeval **wt, pointer LastSelectMask)
- {
--    XSyncValue idle;
-+    XSyncValue idle, old_idle;
-+    SyncTriggerList *list = IdleTimeCounter->pTriglist;
-+    SyncTrigger *trig;
- 
-     if (!pIdleTimeValueLess && !pIdleTimeValueGreater)
- 	return;
- 
-+    old_idle = IdleTimeCounter->value;
-     IdleTimeQueryValue (NULL, &idle);
-+    IdleTimeCounter->value = idle; /* push, so CheckTrigger works */
- 
-     if (pIdleTimeValueLess &&
-         XSyncValueLessOrEqual (idle, *pIdleTimeValueLess))
-     {
--	AdjustWaitForDelay (wt, 0);
-+	/*
-+	 * We've been idle for less than the threshold value, and someone
-+	 * wants to know about that, but now we need to know whether they
-+	 * want level or edge trigger.  Check the trigger list against the
-+	 * current idle time, and if any succeed, bomb out of select()
-+	 * immediately so we can reschedule.
-+	 */
-+
-+	for (list = IdleTimeCounter->pTriglist; list; list = list->next) {
-+	    trig = list->pTrigger;
-+	    if (trig->CheckTrigger(trig, old_idle)) {
-+		AdjustWaitForDelay(wt, 0);
-+		break;
-+	    }
-+	}
-     }
-     else if (pIdleTimeValueGreater)
-     {
--	unsigned long timeout = 0;
-+	/*
-+	 * There's a threshold in the positive direction.  If we've been
-+	 * idle less than it, schedule a wakeup for sometime in the future.
-+	 * If we've been idle more than it, and someone wants to know about
-+	 * that level-triggered, schedule an immediate wakeup.
-+	 */
-+	unsigned long timeout = -1;
- 
--	if (XSyncValueLessThan (idle, *pIdleTimeValueGreater))
--	{
-+	if (XSyncValueLessThan (idle, *pIdleTimeValueGreater)) {
- 	    XSyncValue value;
- 	    Bool overflow;
- 
- 	    XSyncValueSubtract (&value, *pIdleTimeValueGreater,
- 	                        idle, &overflow);
--	    timeout = XSyncValueLow32 (value);
-+	    timeout = min(timeout, XSyncValueLow32 (value));
-+	} else {
-+	    for (list = IdleTimeCounter->pTriglist; list; list = list->next) {
-+		trig = list->pTrigger;
-+		if (trig->CheckTrigger(trig, old_idle)) {
-+		    timeout = min(timeout, 0);
-+		    break;
-+		}
-+	    }
- 	}
- 
- 	AdjustWaitForDelay (wt, timeout);
-     }
-+
-+    IdleTimeCounter->value = old_idle; /* pop */
- }
- 
- static void
--- x11/modular-xorg-server/patches/patch-xkb	2009-05-20 13:04:47 +0300
+++ /dev/null	2009-05-20 12:59:56 +0300
@@ -1,84 +0,0 @@
-$NetBSD: patch-xkb,v 1.2 2009/01/19 17:53:15 tnn Exp $
-From d9f2792dd4a6bc078bb58e22c55ee20c56aabe49 Mon Sep 17 00:00:00 2001
-From: Peter Hutterer <peter.hutterer@redhat.com>
-Date: Fri, 19 Sep 2008 18:27:24 +0930
-Subject: [PATCH] xkb: fix core keyboard map generation. #14373
-
-According to Section 12.4 of the XKB Protocol Spec, if a key only has a single
-group but the keyboard has multiple groups defined, the core description of
-the key is a duplication of the single group across all symbols. i.e.
-G1L1 G1L2 G1L1 G1L2 G1L3 G1L4 G1L3 G1L4
-
-The previous code generated G1L1 G1L2 G1L3 G1L4 G1L3 G1L4, leading to
-"invented" groups when the process is reversed.
-
-Note that this creates wrong key types on reconstruction from core to xkb,
-i.e. any single-group key with a key type that is not one of the canonical
-four (Sec 12.2.3), will get the assigned type on group 1, and a canonical type
-for the other gruops.
-
-X.Org Bug 14373 <http://bugs.freedesktop.org/show_bug.cgi?id=14373>
----
- xkb/xkbUtils.c |   39 ++++++++++++++++++++++++++++++++++-----
- 1 files changed, 34 insertions(+), 5 deletions(-)
-
-diff --git a/xkb/xkbUtils.c b/xkb/xkbUtils.c
-index 486446a..7e9f8d0 100644
---- xkb/xkbUtils.c
-+++ xkb/xkbUtils.c
-@@ -504,6 +504,40 @@ CARD8			keysPerMod[XkbNumModifiers];
- 		if (groupWidth>2)
- 		    nOut= groupWidth;
- 	    }
-+
-+	    /* See XKB Protocol Sec, Section 12.4.
-+	       A 1-group key with ABCDE on a 2 group keyboard must be
-+	       duplicated across all groups as ABABCDECDE.
-+	     */
-+	    if (nGroups == 1)
-+	    {
-+		int idx;
-+
-+		groupWidth = XkbKeyGroupWidth(xkb, key, XkbGroup1Index);
-+
-+		/* AB..CDE... -> ABABCDE... */
-+		if (groupWidth > 0 && maxSymsPerKey >= 3)
-+		    pCore[2] = pCore[0];
-+		if (groupWidth > 1 && maxSymsPerKey >= 4)
-+		    pCore[3] = pCore[1];
-+
-+		/* ABABCDE... -> ABABCDECDE */
-+		idx = 2 + groupWidth;
-+		while (groupWidth > 2 &&
-+			idx < maxSymsPerKey &&
-+			idx < groupWidth * 2)
-+		{
-+		    pCore[idx] = pCore[idx - groupWidth + 2];
-+		    idx++;
-+		}
-+		idx = 2 * groupWidth;
-+		if (idx < 4)
-+		    idx = 4;
-+		/* 3 or more groups: ABABCDECDEABCDEABCDE */
-+		for (n = 0; n < groupWidth && idx < maxSymsPerKey; n++)
-+		    pCore[idx++] = pXKB[n];
-+	    }
-+
- 	    pXKB+= XkbKeyGroupsWidth(xkb,key);
- 	    nOut+= 2;
- 	    if (nGroups>1) {
-@@ -525,11 +559,6 @@ CARD8			keysPerMod[XkbNumModifiers];
- 		}
- 		pXKB+= XkbKeyGroupsWidth(xkb,key);
- 	    }
--	    if (!pCore[2] && !pCore[3] && maxSymsPerKey >= 6 &&
--                (pCore[4] || pCore[5])) {
--                pCore[2] = pCore[4];
--                pCore[3] = pCore[5];
--	    }
- 	}
- 	if (keyc->modifierMap[key]!=0) {
- 	    register unsigned bit,i,mask;
--- 
-1.5.4.3
-
--- /dev/null	2009-05-20 12:59:56 +0300
+++ x11/modular-xorg-server/patches/patch-ba	2009-05-19 14:44:22 +0300
@@ -0,0 +1,22 @@
+$NetBSD$
+
+--- configure.orig	2009-05-17 00:33:36 +0300
++++ configure	2009-05-17 00:33:56 +0300
+@@ -22427,7 +22427,7 @@ _ACEOF
+ 		DRI2=yes
+ 		;;
+ esac
+- if test "x$DRI2" == xyes; then
++ if test "x$DRI2" = xyes; then
+   DRI2_TRUE=
+   DRI2_FALSE='#'
+ else
+@@ -22610,7 +22610,7 @@ $as_echo "$as_me: DRI2 AIGLX disabled, _
+ 		DRI2_AIGLX=no
+ 	fi
+ fi
+- if test "x$DRI2_AIGLX" == xyes; then
++ if test "x$DRI2_AIGLX" = xyes; then
+   DRI2_AIGLX_TRUE=
+   DRI2_AIGLX_FALSE='#'
+ else
